List price overrides with advanced filters

Prev Next
Post
/api/data/v1/overrides/query

Use this endpoint to query published price override records with more control than GET /overrides. POST /overrides/query is read-only, but it lets you describe the query in a JSON body so you can:

  • Apply richer filtering, for example, to apply multiple conditions or operators
  • Select only specific fields to reduce payload size
  • Sort results, for example, by effective date
  • Paginate large result sets
What you get back
A list of published price override records that meet your filtering and sorting criteria.
Security
HTTP
Type bearer

Enter an access token to authenticate your requests. For details, read Get an access token.

Body parameters
Published price override query

Example of a price override query

{
  "elementId": "uuid",
  "context": {
    "frameworkVersionId": "uuid",
    "frameworkId": "uuid",
    "scenarioId": "uuid",
    "pricingView": "published_flattened",
    "effectiveAt": "2025-01-01"
  },
  "filters": [
    {
      "field": "ElementScopeId",
      "operator": "eq",
      "value": "uuid",
      "type": "string"
    }
  ],
  "select": [
    "CalculatedPriceRecordId",
    "PriceValue"
  ],
  "sort": [
    {
      "field": "EffectiveFrom",
      "direction": "asc"
    }
  ],
  "pagination": {
    "cursor": "10",
    "limit": 200
  }
}
Expand All
object
elementId
string (uuid) Required

Identifier of a framework's pricing element whose prices you want to get.

context
object (QueryContext) Required

Defines which published dataset to get records from and which point in time you care about.

Rules:

  • Provide either frameworkVersionId or frameworkId. They are mutually exclusive, but one of them is required.

  • External callers can query only published views.

frameworkVersionId
string (uuid)

Framework version identifier. Together with elementId, this defines the published pricing dataset to query.

Provide either frameworkVersionId or frameworkId. They are mutually exclusive, but one of them is required.

frameworkId
string (uuid)

Framework identifier. Together with elementId, this defines the published pricing dataset to query.

Provide either frameworkVersionId or frameworkId. They are mutually exclusive, but one of them is required.

scenarioId
string (uuid)

Scenario identifier. Defines the pricing dataset to query.

pricingView
string

Identifies the pricing view to query.

effectiveAt
string (date-time)

Date in the YYYY-MM-DD format. The API returns the records that are effective at that time. If you don’t specify a date, the API uses today’s date.

filters
Array of object (FilterCondition)

Allows to filter results by fields and their values.

object
field
string Required

Field name.

ExampleElementScopeId
operator
string Required

Filter operator.

Valid values[ "eq", "ne", "lt", "le", "gt", "ge", "and", "or" ]
Exampleeq
value

Filter value.

Example123a5592-d455
OneOf
string
string
number
number
boolean
boolean
array
array
number
null
null
type
string Required

Value type, such as string or number.

Examplestring
select
Array of string

List of fields to return per record. This is especially useful when you’re exporting to another system and only need a few columns or running frequent queries and want faster responses.

How it works:

  • If you omit select or leave it empty, you get full records.
  • If you add select, each record includes only the listed fields.
Note: If you add select, the service still fetches some required fields internally to apply the effectiveAt logic, but it will not automatically return them unless you include them in select:
  • For prices, adjustments, calculated prices, and cost records requests: EffectiveFrom and EffectiveTo fields.
  • For overrides requests, OverrideStartDate and OverrideEndDate fields.
Example[ "CalculatedPriceRecordId", "PriceValue" ]
string
sort
Array of object (QuerySort)

Allows to define a sort direction for fields. If you omit the sort direction, ascending order applies by default.

object
field
string Required

Field name.

direction
string Required

Sort direction. Supported values:

  • asc—Sorts field values in ascending order (lowest to highest; A to Z).
  • desc—Sorts field values in descending order (highest to lowest; Z to A).
Valid values[ "asc", "desc" ]
pagination
object (QueryPagination)

Use to paginate through large datasets.

cursor
string | null

Cursor for pagination.

limit
integer

Сontrols how many records to return per page.

Minimum1.0
Maximum1000.0
Responses
200

Override records response

example
{
  "data": {
    "records": [
      {
        "OverrideId": "22541sd-5sdc",
        "BuildStepId": "15589ds12-155",
        "OverrideValue": 15.5,
        "IsActive": true,
        "CalculatedPriceRecordId": "n1152sd-sd223",
        "ScenarioId": "88888888-8888",
        "ScopingId": "bbbbbbbb-bbbb",
        "OverrideStartDate": "2025-01-01",
        "OverrideEndDate": "9999-12-31"
      }
    ]
  },
  "pagination": {
    "cursor": "200",
    "hasMore": true
  },
  "meta": {
    "requestId": "req-123",
    "effectiveAt": "2025-01-01",
    "frameworkVersionId": "22222222-2222",
    "pricingView": "published_flattened",
    "scenarioId": "88888888-8888"
  }
}
Expand All
object
data
object
records
Array of object (OverrideRecord)
object

A published price override and its key details like a unique ID, value, currency, effective date, and product it applies to.

pagination
object (Pagination)

Results pagination details.

cursor
string | null

Cursor for pagination.

hasMore
boolean

True if more records are available.

meta
object (EnvelopeMeta)
requestId
string

Request identifier for tracing.

effectiveAt
string (date-time)
frameworkVersionId
string (uuid)

Framework version identifier.

pricingView
string
scenarioId
string (uuid)

Related scenario identifier.

206

Override records response

example
{
  "data": {
    "records": [
      {
        "OverrideId": "22541sd-5sdc",
        "BuildStepId": "15589ds12-155",
        "OverrideValue": 15.5,
        "IsActive": true,
        "CalculatedPriceRecordId": "n1152sd-sd223",
        "ScenarioId": "88888888-8888",
        "ScopingId": "bbbbbbbb-bbbb",
        "OverrideStartDate": "2025-01-01",
        "OverrideEndDate": "9999-12-31"
      }
    ]
  },
  "pagination": {
    "cursor": "200",
    "hasMore": true
  },
  "meta": {
    "requestId": "req-123",
    "effectiveAt": "2025-01-01",
    "frameworkVersionId": "22222222-2222",
    "pricingView": "published_flattened",
    "scenarioId": "88888888-8888"
  }
}
Expand All
object
data
object
records
Array of object (OverrideRecord)
object

A published price override and its key details like a unique ID, value, currency, effective date, and product it applies to.

pagination
object (Pagination)

Results pagination details.

cursor
string | null

Cursor for pagination.

hasMore
boolean

True if more records are available.

meta
object (EnvelopeMeta)
requestId
string

Request identifier for tracing.

effectiveAt
string (date-time)
frameworkVersionId
string (uuid)

Framework version identifier.

pricingView
string
scenarioId
string (uuid)

Related scenario identifier.

400

Validation error

validationError
{
  "error": {
    "code": "VALIDATION_ERROR",
    "message": "Invalid request",
    "requestId": "req-123",
    "details": {}
  }
}
Expand All
object
error
object (Error)
code
string
message
string
requestId
string
details
401

Unauthorized

unauthorized
{
  "error": {
    "code": "UNAUTHORIZED",
    "message": "Unauthorized",
    "requestId": "req-123"
  }
}
Expand All
object
error
object (Error)
code
string
message
string
requestId
string
details
403

Forbidden

forbidden
{
  "error": {
    "code": "FORBIDDEN",
    "message": "Forbidden",
    "requestId": "req-123"
  }
}
Expand All
object
error
object (Error)
code
string
message
string
requestId
string
details
404

Queried element not found

notFound
{
  "error": {
    "code": "NOT_FOUND",
    "message": "Not found",
    "requestId": "req-123"
  }
}
Expand All
object
error
object (Error)
code
string
message
string
requestId
string
details
500

Internal error

internalError
{
  "error": {
    "code": "INTERNAL_ERROR",
    "message": "Internal error",
    "requestId": "req-123"
  }
}
Expand All
object
error
object (Error)
code
string
message
string
requestId
string
details
502

Upstream error

upstreamError
{
  "error": {
    "code": "UPSTREAM_ERROR",
    "message": "Upstream dependency failed",
    "requestId": "req-123"
  }
}
Expand All
object
error
object (Error)
code
string
message
string
requestId
string
details